### Method

# GLib VariantType get_string_length

#### Declaration

    gsize
    g_variant_type_get_string_length (
      const GVariantType* type
    )

#### Description

Returns the length of the type string corresponding to the given `type`. This function must be used to determine the valid extent of the memory region returned by g_variant_type_peek_string().

#### Return value

Type: `gsize`

The length of the corresponding type string

Since 2.24.